Get Profile
curl --request POST \
--url https://refract.prismapi.io/v1/solana/dex/profiles/tokens/get-profile \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"token": "Z4d9YXR4pSkdKcu9UBcwxHp7i32buzdDtAR1b1Gbonk",
"options": {
"include_metadata": true,
"include_market": true,
"include_labels": true,
"include_metrics": [
"7d"
]
}
}
'import requests
url = "https://refract.prismapi.io/v1/solana/dex/profiles/tokens/get-profile"
payload = {
"token": "Z4d9YXR4pSkdKcu9UBcwxHp7i32buzdDtAR1b1Gbonk",
"options": {
"include_metadata": True,
"include_market": True,
"include_labels": True,
"include_metrics": ["7d"]
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token: 'Z4d9YXR4pSkdKcu9UBcwxHp7i32buzdDtAR1b1Gbonk',
options: {
include_metadata: true,
include_market: true,
include_labels: true,
include_metrics: ['7d']
}
})
};
fetch('https://refract.prismapi.io/v1/solana/dex/profiles/tokens/get-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated_at": "2023-11-07T05:31:56Z",
"synced_at": "2023-11-07T05:31:56Z",
"token_address": "<string>",
"labels": [],
"matched_labels": {},
"dynamic_labels": [
"<string>"
],
"metadata": {
"last_trade_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"symbol": "<string>",
"name": "<string>",
"image": "<string>",
"verified": true,
"creator_address": "<string>",
"twitter": "<string>",
"discord": "<string>",
"website": "<string>",
"telegram": "<string>"
},
"market": {
"fdv": 123,
"market_cap": 123,
"price": 123,
"liquidity": 123,
"holders": 123,
"total_supply": 123,
"circulating_supply": 123,
"top_holdings": 123,
"dev_holdings": 123
},
"metrics": {}
}{
"error": "Bad request: Invalid request parameters"
}{
"error": "Unauthorized: Invalid or missing API key"
}{
"error": "Forbidden: Access denied for the current API plan"
}{
"error": "Too many requests: Rate limit exceeded"
}{
"error": "Internal server error"
}Tokens
Get Profile
Returns the profile for a specific token.
POST
/
v1
/
solana
/
dex
/
profiles
/
tokens
/
get-profile
Get Profile
Authorizations
Your Prism API key. You can get one for free in the Prism Dashboard.
Body
application/json
Response
Profile for the specified token.
Available options:
trending, hot, new, popular Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I